import { ReactNode } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface BaseChipProps {
    children: ReactNode;
    disabled?: boolean;
    onDelete?: (event: unknown) => void;
    variant?: 'default' | 'active' | 'warning' | 'warning-active' | 'error' | 'error-active';
    onClick?: (event: unknown) => void;
    leadingIconData?: IconData;
}
export declare const Chip: {
    ({ children, variant, disabled, onClick, onDelete, ...otherProps }: BaseChipProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
