import{TopBar as e,Typography as i,CircularProgress as r,Button as t}from"@equinor/eds-core-react";import{tokens as o}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{spacings as n}from"../../atoms/style/spacings.js";import{EnvironmentType as a}from"../../atoms/types/Environment.js";import s from"styled-components";const{colors:d}=o,l=s(e)`
  border-bottom: 1px solid ${d.ui.background__medium.rgba};
  padding-left: ${n.medium};
  align-content: center;
  position: relative;
`,c=s.button`
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: ${n.medium_small};
  padding: 0;
  outline-offset: ${n.x_small};
  &:hover {
    border-radius: 4px;
    outline: none;
  }
  &:focus {
    border-radius: 4px;
    outline: 2px dashed ${d.interactive.primary__resting.rgba};
  }
`,p=s(e.Header)`
  display: flex;
  align-items: center;
  gap: ${n.medium};
`,g=s(i)`
  text-transform: ${e=>e.$capitalize?"capitalize":"none"};
`,b=s(r)`
  circle {
    stroke: ${d.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${d.interactive.primary__hover_alt.rgba};
  }
`;const m=s.div`
  width: 214px;
  height: 36px;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  text-transform: capitalize;
  ${e=>function(e){let i="none",r="none";return e===a.LOCALHOST?(i=d.interactive.disabled__fill.rgba,r=d.interactive.disabled__text.rgba):e===a.DEVELOP?(i=d.ui.background__info.rgba,r=d.infographic.substitute__blue_overcast.rgba):e===a.STAGING&&(i=d.ui.background__warning.rgba,r=d.interactive.warning__text.rgba),`\n    background-color: ${i};\n    border: 1px solid ${r};\n  `}(e.$environmentType)}
`,u=s.div`
  background-color: ${d.interactive.danger__resting.rgba};
  width: 10px;
  height: 10px;
  border-radius: 50%;
  position: absolute;
  right: 2px;
  top: 4px;
  border: 2px solid ${d.text.static_icons__primary_white.rgba};
  // Box-sizing is a quickfix for use in PWEX because of global styling
  box-sizing: content-box;
`,_=s(t)`
  height: ${({$fieldSelector:e})=>e?"":"36px"};
  width: ${({$fieldSelector:e})=>e?"":"36px"};
  border: ${({$isSelected:e})=>e?"1px solid #132E31":"1px solid none"};
  color: ${({$isSelected:e})=>e?"#132E31":d.interactive.primary__resting.rgba};
  &:hover ${u} {
    border: 2px solid ${d.interactive.primary__hover_alt.rgba};
  }
`;export{p as AppAndFieldContainer,c as AppIdentifier,g as AppName,l as Bar,b as CircularProgress,m as EnvironmentTag,_ as TopBarButton,u as UnreadRedDot};
