import{jsxs as e,jsx as t}from"react/jsx-runtime";import{useState as n,useCallback as r,useMemo as i}from"react";import{Icon as o}from"@equinor/eds-core-react";import{chevron_up as a,chevron_down as l}from"@equinor/eds-icons";import{tokens as s}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{spacings as d}from"../../atoms/style/spacings.js";import{SkeletonBase as m}from"../Skeleton/SkeletonBase/SkeletonBase.js";import c from"styled-components";const{colors:u,shape:f}=s,p=c.div`
  display: flex;
  flex-direction: column;
  gap: ${d.small};
`,g=c.button`
  display: flex;
  align-items: center;
  gap: ${d.xx_small};
  color: ${u.text.static_icons__default.rgba};
  border: none;
  border-radius: ${f.corners.borderRadius};
  min-width: 150px;
  width: fit-content;
  padding: ${d.medium_small} ${d.medium};
  text-align: left;
  background: ${e=>e.$active?u.interactive.primary__hover_alt.rgba:"none"};
  transition: background 150ms;
  &:hover {
    background: ${u.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,b=c.button`
  display: flex;
  align-items: center;
  gap: ${d.xx_small};
  color: ${u.text.static_icons__default.rgba};
  border: none;
  margin-left: ${d.medium_small};
  border-radius: ${f.corners.borderRadius};
  min-width: calc(150px - ${d.medium_small});
  width: fit-content;
  padding: ${d.medium_small} ${d.medium};
  text-align: left;
  background: ${e=>e.$active?u.interactive.primary__hover_alt.rgba:"none"};
  transition: background 400ms;
  &:hover {
    background: ${u.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
  font-family: 'Equinor', sans-serif;
  font-weight: 700;
  font-size: 14px;
`,h=c(m)`
  border: none;
  border-radius: ${f.corners.borderRadius};
  width: 150px;
  height: 1rem;
  padding: ${d.medium_small} 0;
`,$=({items:s,value:d,onChange:m,isLoading:c=!1})=>{const[u,f]=n([]),$=r(((e,t)=>{if(t){const t=u.findIndex((t=>t===e));f(t>=0?t=>t.filter((t=>t!==e)):t=>[...t,e])}m(e)}),[m,u]),_=i((()=>{const n=[];for(const r of s)if(n.push(e(g,{$active:d===r.value,onClick:()=>$(r.value,!!r.children),children:[r.children&&t(o,{data:u.includes(r.value)?a:l}),r.label]},`content-menu-item-${r.label}`)),r.children&&u.includes(r.value))for(const e of r.children)n.push(t(b,{$active:d===e.value,onClick:()=>$(e.value,!1),children:e.label},`content-menu-item-${e.label}`));return n}),[$,s,u,d]);return t(p,c?{"data-testid":"content-menu-container",children:new Array(5).fill(0).map(((e,n)=>t(h,{$offset:100*n},`content-menu-item-skeleton-${e+n}`)))}:{"data-testid":"content-menu-container",children:_})};export{$ as ContentMenu};
