import{Typography as r,Tooltip as i,CircularProgress as t}from"@equinor/eds-core-react";import{tokens as e}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import o from"styled-components";import{spacings as s}from"../../atoms/style/spacings.js";const{colors:a}=e,n=o.div`
  border-radius: 4px;
  margin: 10px 0;
  width: 88px;
  height: 88px;
  box-sizing: border-box;
  position: relative;
  transition: 0.3s;
  ${({$isError:r})=>r&&`&:hover { \n        background: ${a.ui.background__warning.rgba}\n    }`}
`;o(r)`
  margin: ${s.small} ${s.small} 0 ${s.small};
  color: ${a.text.static_icons__tertiary.rgba};
`;const d=o.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 1px dashed ${a.ui.background__medium.rgba};
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
`,c=o.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 1px solid ${a.ui.background__light.rgba};
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  > img {
    width: 100%;
    overflow: hidden;
    text-align: center;
  }
`,g=o.div`
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  font-size: 11px;
  justify-items: center;
  text-align: center;
  border-radius: 4px;
  border: 1px dashed ${a.interactive.warning__text.rgba};
  gap: 0;
  > svg {
    grid-row: 2/3;
  }
  > div {
    grid-row: 3/4;
    color: ${a.interactive.warning__text.rgba};
  }
`,l=o.div`
  background-color: ${a.text.static_icons__tertiary.rgba};
  border-radius: 50%;
  border: 2px solid ${a.text.static_icons__primary_white.rgba};
  position: absolute;
  width: 18px;
  height: 18px;
  right: -10px;
  cursor: pointer;
  top: -10px;
  > svg {
    width: 18px;
    height: 18px;
    fill: ${a.text.static_icons__primary_white.rgba};
  }
`,p=o(r)`
  font-size: 10px;
  padding-top: ${s.x_small};
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
`,h=o(i)`
  white-space: pre;
`,x=o(t)`
  circle {
    stroke: ${a.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${a.interactive.primary__hover_alt.rgba};
  }
`;export{p as AdditionalText,x as CircularProgress,l as CloseButton,n as CompactFileProgressContainer,h as FileTooltip,c as ImageWrapper,d as LoadingWrapper,g as Rejection};
