import { FocusEventHandler, MouseEventHandler } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface ListItemProps {
    label: string;
    icon: IconData;
    onClick: MouseEventHandler<HTMLButtonElement>;
    onFocus?: FocusEventHandler<HTMLButtonElement>;
    onBlur?: FocusEventHandler<HTMLButtonElement>;
    iconPosition?: 'leading' | 'trailing';
    disabled?: boolean;
    selected?: boolean;
    isChild?: boolean;
}
export declare const ListItem: import("react").ForwardRefExoticComponent<ListItemProps & import("react").RefAttributes<HTMLButtonElement>>;
