import{jsxs as t,jsx as e}from"react/jsx-runtime";import{WaveShapeWithNoise as r}from"./WaveShapeWithNoise.js";import a,{keyframes as o}from"styled-components";const i=a.div`
  --topGradientColor: #77d9dd;
  --bottomGradientColor: #407577;

  height: calc(100vh - 64px);
  width: 100%;
  overflow: hidden;
  position: relative;
  background: linear-gradient(
    180deg,
    var(--bottomGradientColor) 0%,
    var(--topGradientColor) 100%
  );
  > svg {
    position: absolute;
    filter: grayscale(1);
    mix-blend-mode: color-burn;
    z-index: 0;
  }
`,n=a.div`
  --heightFromBottom: ${({heightFromBottom:t})=>`${t}px`};
  bottom: var(--heightFromBottom);
  width: 100%;
  --rotate3d: rotateX(330deg) rotateY(-15deg) scaleX(1.2);
  position: absolute;
`,l=o`
    0% {
      transform: var(--rotate3d) translateY(-2px) rotateX(0) scaleY(1);
    }
    50% {
      transform: var(--rotate3d) translateY(5px) rotateX(60deg) scaleY(0.8);
    }
    100% {
      transform: var(--rotate3d) translateY(-2px) rotateX(0) scaleY(1);
    }
`,s=a.div`
  position: absolute;
  height: 100%;
  min-height: 1000px;
  width: 100%;
  top: ${({waveIntervalDist:t})=>`${t}rem`};
  transform-origin: top;
  transform: var(--rotate3d) translateY(-2px) scaleY(1);
  filter: grayscale(1);
  mix-blend-mode: overlay;

  animation: ${l} 5.5s infinite ease alternate;
`,d=()=>t("svg",{viewBox:"0 0 1500 1500",xmlns:"http://www.w3.org/2000/svg",children:[e("filter",{id:"noiseFilter",children:e("feTurbulence",{type:"fractalNoise",baseFrequency:1.5,numOctaves:3,stitchTiles:"stitch"})}),e("rect",{width:"100%",height:"100%",filter:"url(#noiseFilter)"})]}),m=({waveIntervalDist:a=3,waveDelay:o=.75,numWaves:l=10,heightFromBottom:m=600})=>{const h=Array.from({length:l},((t,e)=>({waveIntervalDist:e*a,delay:e*o,altWave:e%2==0})));return t(i,{children:[e(d,{}),e(n,{heightFromBottom:m,children:h.map(((t,a)=>e(s,{waveIntervalDist:t.waveIntervalDist,style:{animationDelay:`${t.delay}s`},children:e(r,{index:a,isAltWave:t.altWave})},a)))})]})};export{m as Waves};
